components:
  schemas:
    AggregationSource_v1_0_4_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/AggregationSource_v1_0_4_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    AggregationSource_v1_0_4_AggregationSource:
      additionalProperties: false
      description: The `AggregationSource` schema is used to represent the source
        of information for a subset of the resources provided by a Redfish service.  It
        can be thought of as a provider of information.  As such, most such interfaces
        have requirements to support the gathering of information like address and
        account used to access the information.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/AggregationSource_v1_0_4_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        HostName:
          description: The URI of the system to be accessed.
          format: uri-reference
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall contain the URI of the system to
            be aggregated.  This property shall not be required when the aggregation
            source is configured to only receive notifications from the aggregated
            system and the `AggregationType` property contains the value `NotificationsOnly`.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/AggregationSource_v1_0_4_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Password:
          description: The password for accessing the aggregation source.  The value
            is `null` in responses.
          nullable: true
          readOnly: false
          type: string
          writeOnly: true
          x-longDescription: This property shall contain a password for accessing
            the aggregation source.  The value shall be `null` in responses.
        UserName:
          description: The username for accessing the aggregation source.
          nullable: true
          readOnly: false
          type: string
          x-longDescription: This property shall contain the username for accessing
            the aggregation source.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent an aggregation source for a
        Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    AggregationSource_v1_0_4_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        ConnectionMethod:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to the connection method used to contact this aggregation
            source.
          readOnly: true
          x-longDescription: This property shall a link to a resource of type `ConnectionMethod`
            that represents the method used to connect to the aggregation source.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        ResourcesAccessed:
          description: An array links to the resources added to the service through
            this aggregation source.  It is recommended that this be the minimal number
            of properties needed to find the resources that would be lost when the
            aggregation source is deleted.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to the
            resources added to the service through the aggregation source.  It is
            recommended that this be the minimal number of properties needed to find
            the resources that would be lost when the aggregation source is deleted.  For
            example, this could be the pointers to the members of the root-level collections
            or the manager of a BMC.
        ResourcesAccessed@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    AggregationSource_v1_0_4_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#AggregationSource.v1_0_4.AggregationSource'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2020.2'
